Unless stated otherwise, this page refers to Ukrainian companies and individual entrepreneurs and uses identifiers from Ukrainian public registries.
This section describes requests used to work with complaints related to an enterprise, together with their type, status, and data source.
Complaint list
GET /api/v1/enterprises/{registry_id}/complaints/{domain}
This request returns enterprise complaints within a single domain.
The registry_id and domain parameters in the request path are required. registry_id is the enterprise identifier.
Available domain values can be retrieved from the Data domains request.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/00178353/complaints/environmental?complaint_type_id=1" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": {
"type": "company",
"registry_id": "00178353"
},
"domain": {
"slug": "environmental",
"label": "Екологічні скарги"
},
"items": [
{
"id": 12,
"type_id": 1,
"type_name": "Скарга про порушення екологічного законодавства або про екологічний злочин",
"registry_id": null,
"authority_name": "Міндовкілля",
"name": "Скарга щодо забруднення повітря",
"description_lines": [
"Звернення щодо можливих викидів"
],
"region": "Київська область",
"complaint_date": "2025-05-10",
"status": "Розглянуто",
"source": "УКЦ",
"links": {
"details": "https://esg.saveecobot.com/api/v1/enterprises/00178353/complaint-details/12"
}
}
]
},
"stats": { "..." }
}
Pagination parameters
page: page number.
Filters
year: complaint year.complaint_type_id: complaint type identifier. Available values can be retrieved from the Complaint types request.
Response fields
results.items[]
id: complaint identifier.type_id: complaint type identifier.type_name: complaint type name.registry_id: complaint number or external identifier.authority_name: authority that received the complaint.name: complaint subject.description_lines[]: short complaint description split into lines.region: region related to the complaint.complaint_date: complaint date.status: complaint status.source: source of the complaint.links.details: link to complaint details.
Complaint details
GET /api/v1/enterprises/{registry_id}/complaint-details/{complaint_id}
This request returns full data for a specific complaint. The response contains the same set of fields as the complaint list.
The registry_id and complaint_id parameters in the request path are required. registry_id is the enterprise identifier. complaint_id is the complaint identifier.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/00178353/complaint-details/12" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "00178353" },
"object": {
"id": 12,
"type_id": 1,
"type_name": "Скарга про порушення екологічного законодавства або про екологічний злочин",
"registry_id": null,
"authority_name": "Міндовкілля",
"name": "Скарга щодо забруднення повітря",
"description_lines": ["Звернення щодо можливих викидів"],
"region": "Київська область",
"complaint_date": "2025-05-10",
"status": "Розглянуто",
"source": "УКЦ"
}
},
"stats": { "..." }
}
Response fields
results.object
The object fields are the same as in results.items[] in the complaint list.